Difference between revisions of "Tracking Dependencies"

From Inkscape Wiki
Jump to navigation Jump to search
(→‎Libs: Drop data for obsolete Inkscape releases - again, it's still in pagelog, and it makes the table unwieldy)
(→‎Distros: Added GDL)
Line 110: Line 110:
 
! gtkmm
 
! gtkmm
 
! pango
 
! pango
 +
! gdl
 
|-
 
|-
 
|Windows Devlibs
 
|Windows Devlibs
Line 119: Line 120:
 
| 2.22.0
 
| 2.22.0
 
| 1.28.3
 
| 1.28.3
 +
| (none)
 
|-
 
|-
 
| style="background:Orange;"| Debian 5.0 (Lenny, <i>oldstable</i>) <small>EOL 2012-02-07</small>
 
| style="background:Orange;"| Debian 5.0 (Lenny, <i>oldstable</i>) <small>EOL 2012-02-07</small>
Line 128: Line 130:
 
| 2.12.7
 
| 2.12.7
 
| 1.20.5
 
| 1.20.5
 +
| 0.7.11
 
|-
 
|-
 
| style="background:Orange;"| Debian 6.0 (Squeeze, <i>stable</i>) <small>EOL ~2014?</small>
 
| style="background:Orange;"| Debian 6.0 (Squeeze, <i>stable</i>) <small>EOL ~2014?</small>
Line 137: Line 140:
 
| 2.20.3
 
| 2.20.3
 
| 1.28.3
 
| 1.28.3
 +
| 2.30.1
 
|-
 
|-
 
| Fedora 15 <small>EOL 2012-06</small>
 
| Fedora 15 <small>EOL 2012-06</small>
Line 146: Line 150:
 
| 2.24.0
 
| 2.24.0
 
| 1.28.4
 
| 1.28.4
 +
| 3.0.0
 
|-
 
|-
 
| Fedora 16  
 
| Fedora 16  
Line 155: Line 160:
 
| 2.24.2<br />3.2.0
 
| 2.24.2<br />3.2.0
 
| 1.29.4
 
| 1.29.4
 +
| 3.2.0
 
|-
 
|-
 
| style="background:Orange;"| Open SuSE 11.3 <small>EOL 2012-01-15</small>
 
| style="background:Orange;"| Open SuSE 11.3 <small>EOL 2012-01-15</small>
Line 164: Line 170:
 
| 2.20.3
 
| 2.20.3
 
| 1.28.0
 
| 1.28.0
 +
| 2.30.1
 
|-
 
|-
 
| Open SuSE 11.4 <small>EOL 2012-09-15</small>
 
| Open SuSE 11.4 <small>EOL 2012-09-15</small>
Line 173: Line 180:
 
| 2.22.0
 
| 2.22.0
 
| 1.28.3
 
| 1.28.3
 +
| 2.30.1
 
|-
 
|-
 
| Open SuSE 12.1 <small>EOL 2013-05-15</small>
 
| Open SuSE 12.1 <small>EOL 2013-05-15</small>
Line 182: Line 190:
 
| 2.24.2<br />3.2.0
 
| 2.24.2<br />3.2.0
 
| 1.29.4
 
| 1.29.4
 +
| 3.2.0
 
|-
 
|-
 
| style="background:Orange;"| Ubuntu 10.04 LTS (Lucid) <small>EOL 2013-04 (Desktop)</small>, <small>EOL 2015-04 (Server)</small>  
 
| style="background:Orange;"| Ubuntu 10.04 LTS (Lucid) <small>EOL 2013-04 (Desktop)</small>, <small>EOL 2015-04 (Server)</small>  
Line 191: Line 200:
 
| 2.20.2
 
| 2.20.2
 
| 1.28.0
 
| 1.28.0
 +
| 2.30.0
 
|-
 
|-
 
| Ubuntu 10.10 (Maverick) <small>EOL 2012-04</small>
 
| Ubuntu 10.10 (Maverick) <small>EOL 2012-04</small>
Line 200: Line 210:
 
| 2.20.3
 
| 2.20.3
 
| 1.28.2
 
| 1.28.2
 +
| 2.30.0
 
|-
 
|-
 
| Ubuntu 11.04 (Natty) <small>EOL 2012-10</small>
 
| Ubuntu 11.04 (Natty) <small>EOL 2012-10</small>
Line 209: Line 220:
 
| 2.24.0
 
| 2.24.0
 
| 1.28.4
 
| 1.28.4
 +
| 2.30.1
 
|-
 
|-
 
| Ubuntu 11.10 (Oneiric) <small>EOL 2013-04</small>
 
| Ubuntu 11.10 (Oneiric) <small>EOL 2013-04</small>
Line 218: Line 230:
 
| 2.24.2<br />3.2.0
 
| 2.24.2<br />3.2.0
 
| 1.29.3
 
| 1.29.3
 +
| 3.1.5
 
|}
 
|}
  

Revision as of 12:47, 29 December 2011

(stub contents in need of filling out)

Overview

We need help getting our basic lib dependencies listed out and kept up to date. Also we need to track which versions of which distros have the needed dependencies.

To get glib and GTK+ dependencies figured out, people can go through the API documentation and look for the 'since' entries saying when calls were added. Then look for those calls in our source. Voila! we'll have base minimum dependencies figured out.

Libs

C++ bindings are not included, since their required versions match those of the C counterparts.

Library v 0.47 v 0.48.x trunk
Boehm-GC ? 6.4 6.4
Cairo ? ? 1.10
GDK ? ? ?
Glib 2.16* 2.16* 2.24
GTK+ 2.12* 2.12* 2.20
GNU Scientific Library ? ? ?
LittleCMS 1.13 1.13 1.13
libxml 2.6.11* 2.6.11* 2.6.11*
libxslt 1.0.15* 1.0.15* 1.0.15*
Pango ? ? ?
Poppler 0.5.9* 0.5.9* 0.5.9*
libsigc++ 2.0.12* 2.0.12* 2.0.12*

* Tentative dependency

Functions Used

Function Lib Since Required
g_timeout_add_seconds Glib 2.14 ?

Distros

Note: This table is not relevant to (non-fink) MacOS X, where we ship the desired version with Inkscape.

Distro cairo glib glibmm gtk+ (v2) gtk+ (v3) gtkmm pango gdl
Windows Devlibs 1.10.2 2.26.1 2.26.0 2.22.1 (none) 2.22.0 1.28.3 (none)
Debian 5.0 (Lenny, oldstable) EOL 2012-02-07 1.6.4 2.16.6 2.16.4 2.12.12 (none) 2.12.7 1.20.5 0.7.11
Debian 6.0 (Squeeze, stable) EOL ~2014? 1.8.10 2.24.2 2.24.2 2.20.1 (none) 2.20.3 1.28.3 2.30.1
Fedora 15 EOL 2012-06 1.10.2 2.28.6 2.28.6 2.24.4 3.0.9 2.24.0 1.28.4 3.0.0
Fedora 16 1.10.2 2.30.1 2.30.0 2.24.8 3.2.1 2.24.2
3.2.0
1.29.4 3.2.0
Open SuSE 11.3 EOL 2012-01-15 1.8.10 2.24.1 2.24.2 2.20.1 (none) 2.20.3 1.28.0 2.30.1
Open SuSE 11.4 EOL 2012-09-15 1.10.2 2.28.0 2.25.5 2.22.1 (none) 2.22.0 1.28.3 2.30.1
Open SuSE 12.1 EOL 2013-05-15 1.10.2 2.30.1 2.30.0 2.24.7 3.2.1 2.24.2
3.2.0
1.29.4 3.2.0
Ubuntu 10.04 LTS (Lucid) EOL 2013-04 (Desktop), EOL 2015-04 (Server) 1.8.10 2.24.0 2.24.1 2.20.0 (none) 2.20.2 1.28.0 2.30.0
Ubuntu 10.10 (Maverick) EOL 2012-04 1.10.0 2.26.1 2.25.2 2.22.0 (none) 2.20.3 1.28.2 2.30.0
Ubuntu 11.04 (Natty) EOL 2012-10 1.10.2 2.28.6 2.28.0 2.24.4 3.0.8 2.24.0 1.28.4 2.30.1
Ubuntu 11.10 (Oneiric) EOL 2013-04 1.10.2 2.30.0 2.30.0 2.24.6 3.2.0 2.24.2
3.2.0
1.29.3 3.1.5
Legend
Inkscape 0.48 unsupported
Inkscape trunk unsupported